For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTSetKeyValueItem
        • POSTDelKeyValueItem
        • POSTGetKeyValueItem
        • POSTGetKeyValueItems
        • POSTGetKeyValueKeys
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceKey Value Storage

GetKeyValueItem

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetKeyValueItem
POST
/platform_api/GetKeyValueItem
$curl -X POST "https://api.voximplant.com/platform_api/GetKeyValueItem?key=key&application_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": {
3 "key": "key1",
4 "value": "value1",
5 "expires_at": 1606346632
6 }
7}

Gets the specified key-value pair from the storage.

Allowed roles: Owner, Admin, Developer.

Example request: GetKeyValueItem example.

Was this page helpful?
Previous

DelKeyValueItem

Next

GetKeyValueItems

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

keystringRequired
Key, up to 200 characters
application_idintegerRequired
The application ID
application_namestringOptional
The application name

Response

Successful response
resultobject

The key-value item